Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 78709 - Installer crashed after pressing 'Back' button in X configurator
Summary: Installer crashed after pressing 'Back' button in X configurator
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: anaconda
Version: 8.0
Hardware: i686
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Michael Fulbright
QA Contact: Mike McLean
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2002-11-28 00:03 UTC by Need Real Name
Modified: 2007-04-18 16:48 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2003-05-25 14:49:57 UTC


Attachments (Terms of Use)
anaconda trace saved to floppy and later edited to replace passwords with XXXXXX (deleted)
2002-11-28 00:06 UTC, Need Real Name
no flags Details

Description Need Real Name 2002-11-28 00:03:03 UTC
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.0.1) Gecko/20020823
Netscape/7.0

Description of problem:
When installing RHL80 on Compaq EVO 51S, the installer crashed during X
configuration; When I asked it to test X configuration the monitor displayed
that frequency (I do not know which frequency was meant; perhaps dot frequency,
as both vertical and horizontal freq were correctly autodetected) is outside of
supported range; I pressed Enter on 'Back' button to choose more conservative
settings and got a couple  of python errors; I have saved trace to a floppy
which I am attaching later; please find below a few lines from the start of
trace file;
I am not sure what the reference to a Siemens monitor mean (I had COMPAQ 5500
monitor) - perhaps I made some mistake?
--------------------------------------------------
Traceback (most recent call last):
  File "/usr/bin/anaconda", line 694, in ?
    intf.run(id, dispatch, configFileData)
  File "/usr/lib/anaconda/text.py", line 425, in run
    rc = apply(win, (self.screen, ) + args)
  File "/usr/lib/anaconda/textw/xconfig_text.py", line 450, in __call__
    monlabel = Textbox(20, 1, (selMonitor[0]))
TypeError: unsubscriptable object

Local variables in innermost frame:
selMonitorName: CPQ1444
videogrid: <snack.Grid instance at 0xab5fe04>
monitor: monName: CPQ1444
monID: CPQ1444
fbmonSect: 
monHoriz: 30-54
monVert: 50-120
physicalWidth: 0
physicalHeight: 0

bb: <snack.ButtonBar instance at 0xa8e200c>
title: DDC Probed Monitor - COMPAQ 5500
text: Select the monitor for your system.  Use the 'Default' button to reset to
the probed values.
screen: <snack.SnackScreen instance at 0x82fa624>
label: <snack.Label instance at 0xab5fe2c>
selMonitor: None
toplevel: <snack.GridFormHelp instance at 0xa9d2384>
mon: ('Siemens Nixdorf MCM2102', 'siemens4', '50-160', '30-82')
xconfig: <xf86config.XF86Config instance at 0x85cec0c>
self: <xconfig_text.MonitorWindow instance at 0xa97924c>
man: DDC Probed Monitor - COMPAQ 5500



Version-Release number of selected component (if applicable):


How reproducible:
Didn't try


Additional info:

Computer was Compaq EVO 51S, P4 1.8 GHz, 256 MB DDR RAM, 20 GB HDD,
intel 845 on-board video (Intel Extreme Graphics), Intel 845G chipset,
COMPAQ 5500 monitor
Installation was from IDE CD in text mode (I always use text mode since
  I hate low refresh rate during install in graphics mode and smaller letters)

Comment 1 Need Real Name 2002-11-28 00:06:21 UTC
Created attachment 86784 [details]
anaconda trace saved to floppy and later edited to replace passwords with XXXXXX

Comment 2 Michael Fulbright 2003-01-31 20:45:48 UTC
I believe this has been corrected in our latest development tree.

Comment 3 Brent Fox 2003-05-25 14:49:57 UTC
I'm going through Bugzilla closing some bugs that have been marked as Modified
for some period of time.  I believe that most of these issues have been fixed,
so I'm resolving these bugs as Rawhide.  If the bug you are seeing still exists,
please reopen this report and mark it as Reopened.


Note You need to log in before you can comment on or make changes to this bug.